<?php
$this->PageTitle = 'Relatório de Pendências';

$Projetos = FuncionariosProjetos::model()->getProjetos(User::getId());
if(count($Projetos) == 0) {
    echo 'Voc&ecirc; n&atilde;o tem permiss&atilde;o para ver pend&ecirc;ncias de nenhum projeto';
    return;
}

$menus = array();
if (isset($_REQUEST['busca'])) {
    $menus[] = array('label' => FaHtml::iconExcel(),
                     'url' => array('generateExcel',
                                    'token' => $model->TOKEN),
                     'linkOptions' => array('class' => 'novo exportar'));
}
$menus[] = array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button'));
$menus[] = array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'));

$this->menu = $menus;
?>
<div class="search-form" style="display:<?php echo (isset($_REQUEST['busca'])) ? 'none' : 'block'; ?>" >
    <?php $this->renderPartial('_search', array('model' => $model, 'relatorio' => true)); ?>
</div><!-- search-form -->

<?php
if (isset($_REQUEST['busca']) && $_REQUEST['busca'] == 1) {
    $this->widget('ext.Utils.widgets.CrmGridView', array(
        'id' => 'admin-grid',
        'dataProvider' => $dataProvider,
        'afterAjaxUpdate'=>'updated',
        'selectableRows' => 1,
        'pager' => Util::getPagerDefaultConfig(),
        'columns' => array(
            'SOL_DATACADASTRO',
            array(
                'name' => 'SOL_DTULTIMAATIVIDADE',
                'value' => 'Util::getUltimaAtividade($data->SOL_IDPENDENCIA)',
            ),
            'SOL_IDPENDENCIA',
            array(
                'name' => 'SOL_IDREVENDA',
                'value' => 'GxHtml::valueEx($data->Revenda)',
            ),
            array(
                'name' => 'SOL_IDFUNCIONARIO',
                'value' => 'GxHtml::valueEx($data->Autor)',
            ),
            array(
                'name' => 'SOL_IDCLIENTE',
                'value' => 'GxHtml::valueEx($data->Cliente)',
            ),
            array(
                'name' => 'SOL_IDPRIORIDADE',
                'value' => 'GxHtml::valueEx($data->Prioridade)',
            ),
            array(
                'name' => 'SOL_IDMOTIVO',
                'value' => 'GxHtml::valueEx($data->Motivo)',
            ),
            array(
                'name' => 'SOL_IDLOCAL',
                'value' => 'GxHtml::valueEx($data->Local)',
            ),
            array(
                'name' => 'SOL_SITUACAO',
                'value' => 'Util::getSituacaoPendencias($data->SOL_SITUACAO)',
            ),
            array(
                'name' => 'SOL_TXTCLIENTE',
                'value' => 'nl2br($data->SOL_TXTCLIENTE)',
                'type' => 'raw',
                'visible' => 'in_array(User::getPrivilegio(), array(1, 12))',
            ),
        ),
    ));
}